# $Revision: 1.8 $, $Date: 2006/10/23 18:59:00 $
#
# Conditional build:
%bcond_with	svga	# build with svgalib output support
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	Gnuplot
Summary:	Term::Gnuplot - lowlevel graphics using gnuplot drawing routines
Summary(pl):	Term::Gnuplot - niskopoziomowa grafika przy uyciu funkcji rysujcych gnuplota
Name:		perl-Term-Gnuplot
Version:	0.90380905
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ceccd4e30deb6291ebecce176e715208
Patch0:		%{name}-vga.patch
URL:		http://search.cpan.org/dist/Term-Gnuplot/
BuildRequires:	XFree86-devel
BuildRequires:	gd-devel
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended for low-resolution or high-resolution graphics
using gnuplot low-level functions.

%description -l pl
Ten modu jest przeznaczony do tworzenia grafiki niskiej lub wysokiej
rozdzielczoci przy uyciu niskopoziomowych funkcji gnuplota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	TRY_LIBS="-L/usr/X11R6/%{_lib} -lX11 -lm -lgd -lpng -lz %{?with_svga:-lvga}" \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test </dev/null}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/Gnuplot.pm
%dir %{perl_vendorarch}/auto/Term/Gnuplot
%{perl_vendorarch}/auto/Term/Gnuplot/Gnuplot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Term/Gnuplot/Gnuplot.so
%{_mandir}/man3/Term::Gnuplot*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-Gnuplot.spec,v $
Revision 1.8  2006/10/23 18:59:00  qboosh
- updated vga patch, added URL, release 1

Revision 1.7  2006/10/21 20:59:11  ankry
- ver. 0.90380905; patch needs update

Revision 1.6  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.5  2004/11/03 22:30:46  paladine
- formatting

Revision 1.4  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/04 18:36:25  qboosh
- committed missing patch, lib64 fix

Revision 1.2  2004/05/02 17:35:08  ankry
- commented out non-existent patch (qboosh, where is it?)
- cosmetics

Revision 1.1  2003/10/25 19:21:44  qboosh
- new
